# Uses of Interface
org.opensaml.xmlsec.encryption.OAEPparams

Packages that use OAEPparams
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of OAEPparams in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return OAEPparams
Modifier and Type
Method
Description
`OAEPparams`
EncryptionMethod.`getOAEPparams()`
Gets the OAEPparams child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type OAEPparams
Modifier and Type
Method
Description
`void`
EncryptionMethod.`setOAEPparams(OAEPparams newOAEPparams)`
Sets the OAEPparams child element.

## Uses of OAEPparams in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement OAEPparams
Modifier and Type
Class
Description
`class`
`OAEPparamsImpl`
Concrete implementation of `OAEPparams`.
Fields in org.opensaml.xmlsec.encryption.impl declared as OAEPparams
Modifier and Type
Field
Description
`private OAEPparams`
EncryptionMethodImpl.`oaepParams`
OAEPparams child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return OAEPparams
Modifier and Type
Method
Description
`OAEPparams`
OAEPparamsBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`OAEPparams`
OAEPparamsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`OAEPparams`
EncryptionMethodImpl.`getOAEPparams()`
Gets the OAEPparams child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type OAEPparams
Modifier and Type
Method
Description
`void`
EncryptionMethodImpl.`setOAEPparams(OAEPparams newOAEPparams)`
Sets the OAEPparams child element.